# Originally imported from mageia

%define major   3
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           glfw
Version:        3.2.1
Release:        %mkrel 2
Summary:        A cross-platform multimedia library
Group:          System/Libraries
License:        zlib
URL:            http://www.glfw.org
Source0:        http://downloads.sf.net/glfw/%{name}-%{version}.tar.xz
#--------------------------------------
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: binutils
BuildRequires: lib64x11-devel
BuildRequires: lib64xcursor-devel
BuildRequires: lib64xinerama-devel
BuildRequires: lib64xrandr2-devel
BuildRequires: lib64xrender-devel
BuildRequires: lib64xxf86vm-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: x11-proto-devel
#--------------------------------------

%description
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

%package 	-n %{libname}
Summary:        A cross-platform multimedia library
Group:          System/Libraries

%description 	-n %{libname}
GLFW is a free, open source, multi-platform library for OpenGL application
development that provides a powerful API for handling operating system specific
tasks such as opening an OpenGL window, reading keyboard, mouse, joystick and
time input, creating threads, and more.

%package 	-n %{devname}
Summary:        Development files for GLFW
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description 	-n %{devname}
The glfw-devel package contains header files for developing glfw
applications.

%prep
%setup -q

%build
%cmake -DGLFW_BUILD_EXAMPLES:BOOL=OFF -DGLFW_BUILD_TESTS:BOOL=OFF
%make_build

%install
rm -rf %buildroot
%make_install -C build

%files -n %{libname}
%doc README.md COPYING.txt
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%doc docs/html/*
%{_includedir}/GLFW/
%{_libdir}/cmake/%{name}%{major}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}%{major}.pc


%changelog
* Mon Jan 15 2018 bb2 <bb2> - 3.2.1-2pclos2018
- clean up BR

* Mon Jan 08 2018 Zen Subz <techars21 at gmail dot com> - 3.2.1-1pclos2018
- Build for PCLinuxOS
